package com.sillycycle.bagleyd.oct;

/*
 * @(#)OctInterface.java
 *
 * Copyright 1994 - 2019  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>OctInterface</code> class contains most of the
 * constants used by the <code>OctFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class OctInterface {

	static final int ACTION_RESTORE = 107;
	static final int ACTION_RESET = 108;
	static final int ACTION_AMBIGUOUS = 109;
	static final int ACTION_ILLEGAL = 110;
	static final int ACTION_MOVED = 111;
	static final int ACTION_CONTROL = 112;
	static final int ACTION_SOLVED = 113;
	static final int ACTION_COMPUTED = 114;
	static final int ACTION_UNDO = 200;
	static final int ACTION_REDO = 201;
	static final int ACTION_CLEAR = 202;
	static final int ACTION_PRACTICE = 203;
	static final int ACTION_RANDOMIZE = 204;
	static final int ACTION_SOLVE = 205;
	static final int ACTION_INCREMENT = 206;
	static final int ACTION_DECREMENT = 207;
	static final int ACTION_ORIENTIZE = 208;
	static final int ACTION_PERIOD3 = 209;
	static final int ACTION_PERIOD4 = 210;
	static final int ACTION_BOTH = 211;
	static final int ACTION_STICKY = 212;
	static final int ACTION_SPEED = 213;
	static final int ACTION_SLOW = 214;
	static final int ACTION_SOUND = 215;
	static final int ACTION_IGNORE = 999;

	static final int MIN_FACETS = 1;
	static final int PERIOD3 = 3;
	static final int PERIOD4 = 4;
	static final int BOTH = 5;
	static final int MAX_MODES = 3;
	static final int DEFAULT_MODE = PERIOD4;
	static final int DEFAULTFACETS = 3;
	static final boolean DEFAULT_ORIENT = false;
	static final boolean DEFAULTSTICKY = false;
	static final boolean DEFAULT_PRACTICE = true;

	static final String TITLE = "Oct";
	public enum Icons {X16, X22, X24, X32, X48, X64}
	static final String[] ICONS = {"icons/16x16/oct.png",
		"icons/22x22/oct.png",
		"icons/24x24/oct.png",
		"icons/32x32/oct.png",
		"icons/48x48/oct.png",
		"icons/64x64/oct.png"};
	public enum Sounds {MOVE}
	static final String[] SOUNDS = {"sounds/move.wav"};

	static final String[] modeStrings = {"Period 3", "Period 4", "Both"};
}
